### Method

# Atk Object initialize

#### Declaration [src]

    void
    atk_object_initialize (
      AtkObject* accessible,
      gpointer data
    )

#### Description [src]

This function is called when implementing subclasses of `AtkObject`. It does initialization required for the new object. It is intended that this function should called only in the …_new() functions used to create an instance of a subclass of `AtkObject`.

#### Parameters

`data`

  Type: `gpointer`

  A #gpointer which identifies the object for which the AtkObject was created.

  The argument can be `NULL`.
  The data is owned by the caller of the method.